## org.biojava.bio.search
Interface SeqSimilaritySearchHit

All Known Implementing Classes:
  SimpleSeqSimilaritySearchHit

public interface SeqSimilaritySearchHit
extends java.lang.Cloneable

objects of this type represent one particular hit (i.e. sequence and associated information) from a sequence similarity search.

Author:
  Gerald Loeffler for the IMP

Method Summary
`java.lang.Object` `clone()`
`double` `getEValue()` return the overall E-value of this hit.
`double` `getPValue()` return the overall P-value of this hit.
`double` `getScore()` return the overall score of this hit in the units defined by the search algorithm.
`SeqSimilaritySearchResult` `getSearchResult()` return the ssequence similarity search result to which this sequence similarity search hit belongs.
`java.lang.String` `getSequenceID()` the sequence identifier of this hit within the sequence database against which the search was performed.
`java.util.List` `getSubHits()` return all sub-hits for this sequence similarity search hit.

Method Detail

### getSearchResult

    public SeqSimilaritySearchResult getSearchResult()

  return the ssequence similarity search result to which this sequence similarity search hit belongs.
  Returns:
    the SeqSimilaritySearchResult object of which this object is a part. Never returns null.

### getScore

    public double getScore()

  return the overall score of this hit in the units defined by the search algorithm.
  Returns:
    the overall score of this hit. This is a mandatory piece of information and may hence not be NaN.

### getPValue

    public double getPValue()

  return the overall P-value of this hit.
  Returns:
    the overall P-value of this hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if a P-value is not available for this hit.

### getEValue

    public double getEValue()

  return the overall E-value of this hit.
  Returns:
    the overall E-value of this hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if an E-value is not available for this hit.

### getSequenceID

    public java.lang.String getSequenceID()

  the sequence identifier of this hit within the sequence database against which the search was performed. Use getSearchResult().getSequenceDB().getSequence(id) to actually retrieve the sequence with this id.
  Returns:
    the (unique) sequence identifier for this hit, valid within the sequence database against which this search was performed. Never returns null.

### getSubHits

    public java.util.List getSubHits()

  return all sub-hits for this sequence similarity search hit. The sub-hits contain conrete alignments (and scores) for sequence stretches from the sequence of this hit. The sub-hits in the list returned by this method are sorted from best to worst.
  Returns:
    a List of SeqSimilaritySearchSubHit objects containing all sub-hits for this hit. Never returns null and the List is guaranteed to contain at least 1 entry.

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object